maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
httplib::detail Namespace Reference

## Namespaces
namespace | case_ignore
namespace | fields
namespace | udl

## Classes
class | MatcherBase
class | PathParamsMatcher
| Captures parameters in request path and stores them in Request::path_params. More...
class | RegexMatcher
| Performs std::regex_match on request path and stores the result in Request::matches. More...
struct | scope_exit

## Functions
template<class T , class... Args>
std::enable_if<!std::is_array< T >::value, std::unique_ptr< T > >::type | make_unique (Args &&...args)
template<class T >
std::enable_if< std::is_array< T >::value, std::unique_ptr< T > >::type | make_unique (std::size_t n)
bool | set_socket_opt_impl (socket_t sock, int level, int optname, const void *optval, socklen_t optlen)
bool | set_socket_opt (socket_t sock, int level, int optname, int opt)
bool | set_socket_opt_time (socket_t sock, int level, int optname, time_t sec, time_t usec)
ssize_t | write_headers (Stream &strm, const Headers &headers)

## Function Documentation

## ◆ make_unique() [1/2]

template<class T , class... Args>

std::enable_if<!std::is_array< T >::value, std::unique_ptr< T > >::type httplib::detail::make_unique | ( | Args &&... | args | ) |

Definition at line 393 of file httplib.h.

## ◆ make_unique() [2/2]

template<class T >

std::enable_if< std::is_array< T >::value, std::unique_ptr< T > >::type httplib::detail::make_unique | ( | std::size_t | n | ) |

Definition at line 399 of file httplib.h.

## ◆ set_socket_opt()

bool httplib::detail::set_socket_opt | ( | socket_t | sock,
|  | int | level,
|  | int | optname,
|  | int | opt
| ) |  |
| inline

Definition at line 2102 of file httplib.h.

References set_socket_opt_impl().

Referenced by httplib::default_socket_options().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ set_socket_opt_impl()

bool httplib::detail::set_socket_opt_impl | ( | socket_t | sock,
|  | int | level,
|  | int | optname,
|  | const void * | optval,
|  | socklen_t | optlen
| ) |  |
| inline

Definition at line 2091 of file httplib.h.

Referenced by set_socket_opt(), and set_socket_opt_time().

Here is the caller graph for this function:

## ◆ set_socket_opt_time()

bool httplib::detail::set_socket_opt_time | ( | socket_t | sock,
|  | int | level,
|  | int | optname,
|  | time_t | sec,
|  | time_t | usec
| ) |  |
| inline

Definition at line 2106 of file httplib.h.

References set_socket_opt_impl().

Here is the call graph for this function:

## ◆ write_headers()

ssize_t httplib::detail::write_headers | ( | Stream & | strm,
|  | const Headers & | headers
| ) |  |
| inline

Definition at line 5018 of file httplib.h.

References httplib::Stream::write(), and write_headers().

Referenced by write_headers().

Here is the call graph for this function:
Here is the caller graph for this function: